Page MenuHomePhabricator

Create labs project for Reading department
Closed, ResolvedPublic

Description

Project Name: wmf-reading

Purpose: Shared testing and prototyping for Reading department teams

Wikitech Username of requestor: Jdlrobson
Admins: Jdlrobson, Jhernandez, phuedx, Bmansurov, BryanDavis

Rationalization:
Having a general purpose project for Reading will allow teams to create and manage VMs for acceptance testing and other general purpose collaboration tasks quickly and easily.

Event Timeline

Jdlrobson raised the priority of this task from to Normal.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added subscribers: Matthewrbowker, scfc, coren and 3 others.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 3 2015, 11:05 PM

@yuvipanda @scfc we want to experiment with a standalone instance to develop a bot. All we need is a box to run it where we can run selenium web driver and access Gerrit API endpoints. If there's a better place to do this fine.

See background in https://phabricator.wikimedia.org/T100293

in particular "We've talked with releng and we know that they are working on a generic solution, but it will take a lot of time. We need a temporary solution so we knowingly accept the cost of maintaining our own browser testing infrastructure but we feel that it's far outweighed by the increased confidence in our code. (Our products are very user exposed and we need a good integration tests story)."

bd808 added a subscriber: bd808.Jun 4 2015, 2:46 AM

How about creating a generic "readership team" labs project that we can host this and other experiments in? The MediaWiki-Core-Team had (has actually) a mediawiki-core-team project that we used for lots of different testing vms and other tools. With the umbrella project and Labs-Vagrant it is pretty easy to spin up a new VM that hosts a full stack wiki including central auth, VE and other nice goodies.

@bd808 that sounds like it would work well! :) +1 from me

bd808 renamed this task from Create labs instance for a bot that runs browser tests to Create labs project for Reading department.Jun 4 2015, 3:27 AM
bd808 updated the task description. (Show Details)
bd808 set Security to None.

I WP:BOLDly edited the request to make it more generic.

I think projects should be more specific and not be team based - that's something we've been trying to move away from in the past so we don't end up with projects with vague / no ownership.

If releng is fine with it, I can happily create a more narrow scoped project - 'mobile-smoketests' perhaps?

Krenair added a subscriber: Krenair.Jun 7 2015, 5:24 PM
bd808 added a comment.Jun 8 2015, 4:57 AM

I think projects should be more specific and not be team based - that's something we've been trying to move away from in the past so we don't end up with projects with vague / no ownership.

I just hate to see the need to make a ton of small, short lived projects both because it becomes difficult to know when to shut them down and it takes a while to spin a new one up. The Reading division owning the Reading project seems like a pretty clear provenance to me, but I will agree that one problem in a project managed by a larger group is finding out what the status of each instance is. If the general guidance of the Labs team is not to make these types of projects though I won't argue at all.

@bd808 I think the solution is to reduce the time it takes to spin a new one up, and we've been better about it now than with the previous SMW (praise be its name!) process (which averaged in weeks!). More guidance is probably needed there (Should file as subtask of T101659?), but ideally it should be under a day.

Created T101688 and T101687 to help make the process smoother!

yuvipanda closed this task as Resolved.Jun 14 2015, 12:00 AM
yuvipanda claimed this task.

(I created mobile-smoketests when Jon pinged me on IRC, I'm going to consider this one done)

On hindsight a 'readership' project as @bd808 suggested would definitely have made more sense. Can you rename projects? I have a weird situation now where the instance and the project are pretty much the same but it's helping me get things done so that's good - so thank you!

I disagree - I think projects should be more spefific but just easier to create - it's totally ok to have an instance and project just be the same :)